org.wildfly.swarm.config.ejb3

## Class FilePassivationStore<T extends FilePassivationStore<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.FilePassivationStore<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class FilePassivationStore<T extends FilePassivationStore<T>>
      extends HashMap

  A file system based passivation store
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePassivationStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `idleTimeout()` The timeout in units specified by idle-timeout-unit, after which a bean will passivate
    `T` | `idleTimeout(Long value)` The timeout in units specified by idle-timeout-unit, after which a bean will passivate
    `Integer` | `maxSize()` The maximum number of beans this cache should store before forcing old beans to passivate
    `T` | `maxSize(Integer value)` The maximum number of beans this cache should store before forcing old beans to passivate
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### FilePassivationStore

          public FilePassivationStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### idleTimeout

          public Long idleTimeout()

      The timeout in units specified by idle-timeout-unit, after which a bean will passivate

    - #### idleTimeout

          public T idleTimeout(Long value)

      The timeout in units specified by idle-timeout-unit, after which a bean will passivate

    - #### maxSize

          public Integer maxSize()

      The maximum number of beans this cache should store before forcing old beans to passivate

    - #### maxSize

          public T maxSize(Integer value)

      The maximum number of beans this cache should store before forcing old beans to passivate

Copyright © 2017 JBoss by Red Hat. All rights reserved.